.\"	$NetBSD: multiboot.8,v 1.3 2008/04/30 13:10:57 martin Exp $
.\"
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Julio M. Merino Vidal.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 25, 2006
.Dt MULTIBOOT 8 i386
.Os
.Sh NAME
.Nm multiboot
.Nd procedure for booting NetBSD/i386 from a Multiboot-compliant boot loader
.Sh DESCRIPTION
Multiboot is a specification that defines a protocol between a boot loader
and a kernel.
This protocol allows passing boot information between the two in a standard
way, allowing any Multiboot-compliant boot loader to boot any
Multiboot-compliant kernel.
The
.Nx
kernel supports Multiboot if it was compiled with
.Cd options MULTIBOOT
(the default in the
.Sq GENERIC
and
.Sq GENERIC_LAPTOP
configurations).
.Pp
Unlike when using the native boot loader, the
.Nx
kernel recognizes a set of command line arguments if booted through a
Multiboot-compliant boot loader.
This is because the Multiboot protocol is not complete enough to completely
configure a
.Nx
kernel.
.Pp
The following arguments are recognized:
.Bl -tag -width consoleXspeedX
.It Va console
Specifies the console device name.
Can be one of
.Sq com
or
.Sq pc .
If the former,
.Va console_addr
and
.Va console_speed
should be given too.
.It Va console_addr
Specifies the serial port address for the console.
Defaults to the value of
.Cd options CONADDR
or
.Sq 0x3f8
if this was not given.
.It Va console_speed
Specifies the serial port speed for the console.
Defaults to the value of
.Cd options CONSPEED
or
.Sq 9600
if this was not given.
.It Va root
Specifies the name of the device to be mounted as the root partition.
It should not be needed because the kernel tries its best to guess which
is the root partition (basing the decision on the device from which the
kernel was loaded from).
In cases where the automatic detection fails, this flag comes useful.
Example:
.Sq root=wd0e .
.El
.Ss Booting with GRUB Legacy
GRUB Legacy is the most popular bootloader that supports Multiboot.
You can boot a
.Nx
kernel (assuming it is compiled with Multiboot support) with a line
similar to the following one:
.Bd -literal
kernel (fd0)/netbsd.gz -c console=pc root=wd0e
.Ed
.Sh SEE ALSO
.Xr options 4
.Sh HISTORY
.Nm
support first appeared in
.Nx 4.0 .
.Sh AUTHORS
.Nm
support was added by
.An Julio M. Merino Vidal Aq jmmv@NetBSD.org .
